#include <bits/stdc++.h>
using namespace std;

const long long MX=3e5+10;
int a[MX];
int n;

bool chk()
{
    for(int i=2;i<n;i++)
    {
        if((a[i-1]+a[i+1])<(2*a[i]))
        {
            return 0;
        }
    }

    return 1;
}

void zdvp(int i)
{
    swap(a[0],a[i]);
    for(int j=i-1;j>=0;j--)
    {
        swap(a[j],a[j+1]);
    }
}

void zdnz(int i)
{
    for(int j=0;j<i;j++)
    {
        swap(a[j],a[j+1]);
    }
    swap(a[0],a[i]);
}

bool trd(int i)
{
    zdvp(i-1);
    if(chk())
    {
        return 1;
    }
    zdnz(i-1);

    zdvp(i);
    if(chk())
    {
        return 1;
    }
    zdnz(i);

    if(i<n)
    {
        zdvp(i+1);
        if(chk())
        {
            return 1;
        }
        zdnz(i+1);
    }

    return 0;
}
void fun()
{
    cin>>n;

    for(int i=1;i<=n;i++)
    {
        cin>>a[i];
    }

    sort(a+1,a+1+n);

    for(int i=2;i<=n;i++)
    {
        if((a[i-1]+a[i+1])<(2*a[i]))
        {
            if(trd(i))
            {
                cout<<"YES\n";
                return;
            }

            cout<<"NO\n";
            return;
        }
    }

    cout<<"YES\n";
    return;
}
int main()
{
    cin.tie(0);
    ios_base::sync_with_stdio(0);

    int t;
    cin>>t;

    while(t--)
    {
        fun();
    }

    return 0;
}